Delete fulfillment fee - Fabric
Delete fulfillment fee
cURL
curl --request DELETE \
--url https://api.fabric.inc/v3/carts/{cartId}/fulfillments/{fulfillmentId}/fees/{feeId} \
--header 'Authorization: Bearer <token>' \
--header 'x-fabric-tenant-id: <x-fabric-tenant-id>'
Python
import requests
url = "https://api.fabric.inc/v3/carts/{cartId}/fulfillments/{fulfillmentId}/fees/{feeId}"
headers = {
"x-fabric-tenant-id": "<x-fabric-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.delete(url, headers=headers)
print(response.text)
JavaScript (Fetch)
const options = {
method: 'DELETE',
headers: {'x-fabric-tenant-id': '<x-fabric-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.fabric.inc/v3/carts/{cartId}/fulfillments/{fulfillmentId}/fees/{feeId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP


Possible Responses
400
{
"type": "BAD_REQUEST",
"message": "x-fabric-tenant-id is required"
}
404
{
"type": "CART_NOT_FOUND",
"message": "Cart not found"
}
Authorizations
Authorization
- Type: string
- Location: header
- Required: Yes
The authorization token used to authenticate the request. You must pass the access token generated from the system app.
x-fabric-tenant-id
- Type: string
- Required: Yes
A header used by fabric to identify the tenant making the request. You must include tenant id in the authentication header for an API request to access any of fabric’s endpoints.
Path Parameters
- cartId: string (required)
- fulfillmentId: string (required)
- feeId: string (required)
Response